<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\index\Controller;
use think\Controller;

class Alipay extends Home {

	public function index() {
		if($_POST){
		//页面上通过表单选择在线支付类型，支付宝为alipay 财付通为tenpay
		        /* 支付设置 */
			$id=safe_replace(input('id'));
			hook('alipay',["id"=>$id]);
		}
	
	 }

    public function return_url() {	
			


			//商户订单号
			$out_trade_no = safe_replace($_GET['out_trade_no']);
                
			
            $uid=session_uid();
			$map['uid']=$uid;//用户id
			$map['out_trade_no']=safe_replace($out_trade_no);//用户id
            $info=db('pay')->where($map)->find();
		
		            $this->assign('meta_title',$this->meta_title);
					$this->assign('info',$info);
		            return $this->fetch("pay/over");
					//如果有做过处理，不执行商户的业务程序
		
		}
	

     
}